Get Image Resource Settings

1. API Description

This API is used to view the configuration information of static image resources.

Request mode: GET [ip]/api/resource/image/settings

Administrator Rights Login Authentication
No Yes

2. Input Parameters

None

3. Output Parameters

Parameter Type Description
status Int Status code
limited Struct Resource Limits
Resource Limits
Parameter Type Description
max-height Int Maximum height of the image
max-width Int Maximum width of the image
max-num Int Maximum number of images allowed in a single type
max-size Int Maximum size of the image, in bytes

4. Example

Get static resources.

Request Example
GET /api/resource/image/settings
Output Example
{
    "limited": {
        "max-height": 1080,
        "max-num": 6,
        "max-size": 1048576,
        "max-width": 1920
    },
    "status": 0
}

results matching ""

    No results matching ""

    results matching ""

      No results matching ""